Mailinglist Archive: opensuse-security-announce (25 mails)

< Previous Next >
[security-announce] SUSE-SU-2014:0904-1: important: Security update for lzo
SUSE Security Update: Security update for lzo
______________________________________________________________________________

Announcement ID: SUSE-SU-2014:0904-1
Rating: important
References: #883947
Cross-References: CVE-2014-4607
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Desktop 11 SP3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


lzo was updated to fix a potential denial of service issue or possible
remote code execution by allowing an attacker, if the LZO decompression
algorithm is used in a threaded or kernel context, to corrupt memory
structures that control the flow of execution in other contexts.
(CVE-2014-4607)

Security Issue reference:

* CVE-2014-4607
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-4607>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP3:

zypper in -t patch sdksp3-liblzo2-2-9506

- SUSE Linux Enterprise Server 11 SP3 for VMware:

zypper in -t patch slessp3-liblzo2-2-9506

- SUSE Linux Enterprise Server 11 SP3:

zypper in -t patch slessp3-liblzo2-2-9506

- SUSE Linux Enterprise Desktop 11 SP3:

zypper in -t patch sledsp3-liblzo2-2-9506

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP3 (i586 ia64 ppc64
s390x x86_64):

lzo-devel-2.03-12.3.1

- SUSE Linux Enterprise Software Development Kit 11 SP3 (ppc64 s390x x86_64):

lzo-devel-32bit-2.03-12.3.1

- SUSE Linux Enterprise Server 11 SP3 for VMware (i586 x86_64):

liblzo2-2-2.03-12.3.1

- SUSE Linux Enterprise Server 11 SP3 for VMware (x86_64):

liblzo2-2-32bit-2.03-12.3.1

- SUSE Linux Enterprise Server 11 SP3 (i586 ia64 ppc64 s390x x86_64):

liblzo2-2-2.03-12.3.1

- SUSE Linux Enterprise Server 11 SP3 (ppc64 s390x x86_64):

liblzo2-2-32bit-2.03-12.3.1

- SUSE Linux Enterprise Server 11 SP3 (ia64):

liblzo2-2-x86-2.03-12.3.1

- SUSE Linux Enterprise Desktop 11 SP3 (i586 x86_64):

liblzo2-2-2.03-12.3.1

- SUSE Linux Enterprise Desktop 11 SP3 (x86_64):

liblzo2-2-32bit-2.03-12.3.1


References:

http://support.novell.com/security/cve/CVE-2014-4607.html
https://bugzilla.novell.com/883947

http://download.suse.com/patch/finder/?keywords=b93b6bf2c8ff803e68676c0bdfba36ed

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages